package com.yihu.quota.service.view;

import com.yihu.ehr.elasticsearch.ElasticSearchPool;
import com.yihu.ehr.query.BaseJpaService;
import com.yihu.quota.dao.view.ViewDao;
import com.yihu.quota.dao.view.ViewDimensionDao;
import com.yihu.quota.dao.view.ViewQuotaDao;
import com.yihu.quota.dao.view.ViewQuotaFilterDao;
import com.yihu.quota.model.cube.Cube;
import com.yihu.quota.model.view.View;
import com.yihu.quota.model.view.ViewDimension;
import com.yihu.quota.model.view.ViewQuota;
import org.apache.log4j.Logger;
import org.elasticsearch.client.transport.TransportClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @author janseny
 * @date 2018年9月26日
 */
@Service
public class ViewService extends BaseJpaService<View, ViewDao> {

    private static final Logger logger = Logger.getLogger(ViewService.class);

    @Autowired
    private ViewDao viewDao;
    @Autowired
    private ViewDimensionDao viewDimensionDao;
    @Autowired
    private ViewQuotaDao viewQuotaDao;
    @Autowired
    private ViewQuotaFilterDao viewQuotaFilterDao;
    @Autowired
    private ElasticSearchPool elasticSearchPool;

    public View findOne(Integer id) {
        return viewDao.findOne(id);
    }

    /**
     * 获取视图统计结果
     *
     * @param viewCode
     */
    public void statViewResult(String viewCode) {
        View view = viewDao.findByCode(viewCode);
        List<ViewDimension> viewDimensionList = viewDimensionDao.findByViewId(view.getId());
        List<ViewQuota> viewQuotaList = viewQuotaDao.findByViewId(view.getId());

        TransportClient transportClient = elasticSearchPool.getClient();



        transportClient.close();
    }

}